<ion-card>
  <ion-card-header *ngIf="title !== null && title !== undefined && title !== ''">
    <ion-card-title>
      <ion-icon name="caret-forward" *ngIf="!expanded">
      </ion-icon>
      <ion-icon name="caret-down" *ngIf="expanded"></ion-icon>
      {{ title }}
    </ion-card-title>
  </ion-card-header>
  <ion-card-content #cardContent id="collapsibleContent_{{id}}" class="collapsibleContent collapsed">
    <div #contentOverlay class="collapsibleContentOverlay"></div>
    <ng-content></ng-content>
  </ion-card-content>
  <ion-card-content class="ion-no-padding">
    <ion-item class="ion-no-padding">

      <ion-button #toggleButton slot="end" (click)="toggle();" fill="clear" size="medium">{{buttonText}}</ion-button>
    </ion-item>
  </ion-card-content>
</ion-card>
